%global momorel 2

Name:           lua
Version:        5.2.4
Release:        %{momorel}m%{?dist}
Summary:        Powerful light-weight programming language
Group:          Development/Languages
License:        MIT/X
URL:            http://www.lua.org/
Source0:        http://www.lua.org/ftp/lua-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-5.2.2-autotoolize.patch
Patch1:         %{name}-5.2.2-idsize.patch
Patch2:         %{name}-5.2.2-luac-shared-link-fix.patch
Patch3:         %{name}-5.2.2-configure-linux.patch
Patch4:	        %{name}-5.2.2-configure-compat-module.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  readline-devel ncurses-devel
Provides:       lua = 5.2

%description
Lua is a powerful light-weight programming language designed for
extending applications. Lua is also frequently used as a
general-purpose, stand-alone language. Lua is free software.
Lua combines simple procedural syntax with powerful data description
constructs based on associative arrays and extensible semantics. Lua
is dynamically typed, interpreted from bytecodes, and has automatic
memory management with garbage collection, making it ideal for
configuration, scripting, and rapid prototyping.


%package devel
Summary:        Development files for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains development files for %{name}.

%package static
Summary:        Static library for %{name}
Group:          System Environment/Libraries
Requires:       %{name} = %{version}-%{release}

%description static
This package contains the static version of liblua for %{name}.


%prep
%setup -q
mv src/luaconf.h src/luaconf.h.template.in
%patch0 -p1 -E -z .autoxxx
%patch1 -p1 -z .idsize
%patch2 -p1 -z .luac-shared
%patch3 -p1 -z .configure-linux
%patch4 -p1 -z .configure-compat-all
autoreconf -i

%build
%configure --with-readline --with-compat-module
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# Autotools give me a headache sometimes.
sed -i 's|@pkgdatadir@|%{_datadir}|g' src/luaconf.h.template

# hack so that only /usr/bin/lua gets linked with readline as it is the
# only one which needs this and otherwise we get License troubles
make %{?_smp_mflags} LIBS="-lm -ldl" luac_LDADD="liblua.la -lm -ldl"


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/*.la
mkdir -p $RPM_BUILD_ROOT%{_libdir}/lua/5.2
mkdir -p $RPM_BUILD_ROOT%{_datadir}/lua/5.2


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README doc/*.html doc/*.css doc/*.gif doc/*.png
%{_bindir}/lua
%{_bindir}/luac
%{_libdir}/liblua-5.2.so
%{_mandir}/man1/lua*.1*
%dir %{_libdir}/lua
%dir %{_libdir}/lua/5.2
%dir %{_datadir}/lua
%dir %{_datadir}/lua/5.2

%files devel
%{_includedir}/l*.h
%{_includedir}/l*.hpp
%{_libdir}/liblua.so
%{_libdir}/pkgconfig/*.pc

%files static
%{_libdir}/*.a

%changelog
* Mon Feb 19 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (5.2.4-2m)
- rebuild against readline

* Wed Oct 21 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (5.2.4-1m)
- update 5.2.4

* Tue Jan 06 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (5.2.3-1m)
- update 5.2.3

* Mon Dec 10 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (5.1.4-9m)
- import fedora patches

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (5.1.4-8m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (5.1.4-7m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (5.1.4-6m)
- full rebuild for mo7 release

* Tue May 04 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.1.4-5m)
- rebuild against readline6

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.1.4-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri May 15 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (5.1.4-3m)
- add autoreconf. need libtool-2.2.x

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.1.4-2m)
- rebuild against rpm-4.6

* Sat Dec 20 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.1.4-1m)
- update to 5.1.4

* Thu Jul 10 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.1.3-1m)
- sync with Fedora
- changelog is below
-
- * Mon May 12 2008 Tim Niemueller <tim@niemueller.de> - 5.1.3-6
- - Add -static subpackage with static liblua, fixes rh bug #445939
- 
- * Sun Apr 13 2008 Tim Niemueller <tim@niemueller.de> - 5.1.3-5
- - Provide lua = 5.1, this way add-on packages can easily depend on the Lua
-   base version and expect certain paths for packages
- 
- * Sat Apr  5 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.3-4
- - Not only own $libdir/lua/5.1 and $datadir/lua/5.1 but also $libdir/lua
-   and $datadir/lua for proper removal of these dirs upon lua removal
- 
- * Fri Mar 14 2008 Tim Niemueller <tim@niemueller.de> - 5.1.3-3
- - own $libdir/lua/5.1 and $datadir/lua/5.1. These are the standard package
-   search path for Lua. Packaging them properly allows for easy creation of
-   Lua addon packages.
- 
- * Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 5.1.3-2
- - Autorebuild for GCC 4.3
- 
- * Sat Jan 26 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.3-1
- - New upstream release 5.1.3
- 
- * Mon Nov 26 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.2-4
- - Fix libdir in lua.pc being /usr/lib on x86_64 (bz 399101)
- 
- * Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.2-3
- - Also use lib64 instead of lib on ia64 and sparc64 
- 
- * Sun Oct 21 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.2-2
- - Fix multilib condlict in luaconf.h (bz 342561)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.1.2-2m)
- rebuild against gcc43

* Mon Apr  9 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (5.1.2-1m)
- import from fc-devel to Momonga fro lighttpd

* Mon Apr  2 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.2-1
- New upstream release 5.1.2
- Fix use of rpath on x86_64

* Fri Jan 19 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.1-3
- Remove "-lreadline -lncurses" from lua.pc (bz 213895)

* Sun Oct 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.1-2
- Only link /usr/bin/lua with readline / do not link %%{_libdir}/liblua-5.1.so
  with readline so that we don't cause any License troubles for packages
  linking against liblua-5.1.so, otherwise lua could drag the GPL only readline
  lib into the linking of non GPL apps.

* Sat Oct 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 5.1.1-1
- New upstream release 5.1.1
- Fix detection of readline during compile (iow add readline support back)

* Mon Aug 27 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.1-7
- Rebuild for FC6

* Thu Jun 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.1-6
- fixed broken provides

* Tue Jun 06 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.1-5
- split out devel subpackage

* Thu Jun 01 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.1-4
- added Requires for pkgconfig BZ#193674

* Mon May 29 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.1-3
- added autotools patch from Petri Lehtinen, http://lua-users.org

* Mon May 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.1-2
- fixed x86_64 builds

* Mon May 08 2006 Michael J. Knox <michael[AT]knox.net.nz> - 5.1-1
- version bump

* Sun Oct 16 2005 Ville Skytta <ville.skytta at iki.fi> - 5.0.2-5
- Fix -debuginfo (#165304).
- Cosmetic specfile improvements.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 5.0.2-4
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 5.0.2-3
- rebuilt

* Sat Feb 12 2005 David Woodhouse <dwmw2@infradead.org> - 5.0.2-2
- Don't use fastround on ppc

* Tue Feb 01 2005 Panu Matilainen <pmatilai@welho.com> - 5.0.2-1
- update to 5.0.2
- remove epoch 0, drop fedora.us release tag

* Mon Nov 17 2003 Oren Tirosh <oren at hishome.net> - 0:5.0-0.fdr.2
- Enable readline support.

* Sat Jun 21 2003 Ville Skytta <ville.skytta at iki.fi> - 0:5.0-0.fdr.1
- First build.
